
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>varnishstat &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="varnishtest" href="varnishtest.html" />
    <link rel="prev" title="varnishncsa" href="varnishncsa.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="varnishtest.html" title="varnishtest"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="varnishncsa.html" title="varnishncsa"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">varnishstat</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="varnishstat">
<span id="varnishstat-1"></span><h1>varnishstat<a class="headerlink" href="#varnishstat" title="Permalink to this headline">¶</a></h1>
<section id="varnish-cache-statistics">
<h2>Varnish Cache statistics<a class="headerlink" href="#varnish-cache-statistics" title="Permalink to this headline">¶</a></h2>
<dl class="field-list simple">
<dt class="field-odd">Manual section</dt>
<dd class="field-odd"><p>1</p>
</dd>
</dl>
<section id="synopsis">
<h3>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h3>
<p>varnishstat [-1] [-f &lt;glob&gt;] [-h] [-j] [-l] [-n &lt;dir&gt;] [-t &lt;seconds|off&gt;] [-V] [-x]</p>
</section>
<section id="description">
<h3>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h3>
<p>The varnishstat utility displays statistics from a running varnishd(1) instance.</p>
<p>The following options are available:</p>
<dl class="option-list">
<dt><kbd><span class="option">-1</span></kbd></dt>
<dd><p>Instead of presenting a continuously updated display, print the statistics to stdout.</p>
</dd>
<dt><kbd><span class="option">-f <var>&lt;glob&gt;</var></span></kbd></dt>
<dd><p>Field inclusion glob. Use backslash to escape characters. If the argument starts with ‘^’ it is used as an exclusive glob. Multiple -f arguments may be given. Inclusive globs are accumulative and are run before exclusive ones.</p>
</dd>
<dt><kbd><span class="option">-h</span></kbd></dt>
<dd><p>Print program usage and exit</p>
</dd>
<dt><kbd><span class="option">-j</span></kbd></dt>
<dd><p>Print statistics to stdout as JSON.</p>
</dd>
<dt><kbd><span class="option">-l</span></kbd></dt>
<dd><p>Lists the available fields to use with the -f option.</p>
</dd>
<dt><kbd><span class="option">-n <var>&lt;dir&gt;</var></span></kbd></dt>
<dd><p>Specify the varnishd working directory (also known as instance name) to get logs from. If -n is not specified, the host name is used.</p>
</dd>
<dt><kbd><span class="option">-t <var>&lt;seconds|off&gt;</var></span></kbd></dt>
<dd><p>Timeout before returning error on initial VSM connection. If set the VSM connection is retried every 0.5 seconds for this many seconds. If zero the connection is attempted only once and will fail immediately if unsuccessful. If set to “off”, the connection will not fail, allowing the utility to start and wait indefinetely for the Varnish instance to appear.  Defaults to 5 seconds.</p>
</dd>
<dt><kbd><span class="option">-V</span></kbd></dt>
<dd><p>Print version information and exit.</p>
</dd>
<dt><kbd><span class="option">-x</span></kbd></dt>
<dd><p>Print statistics to stdout as XML.</p>
</dd>
<dt><kbd><span class="option">--optstring</span></kbd></dt>
<dd><p>Print the optstring parameter to <code class="docutils literal notranslate"><span class="pre">getopt(3)</span></code> to help writing wrapper scripts.</p>
</dd>
</dl>
</section>
<section id="curses-mode">
<h3>CURSES MODE<a class="headerlink" href="#curses-mode" title="Permalink to this headline">¶</a></h3>
<p>When neither -1, -j or -x options are given, the application starts up
in curses mode. This shows a continuously updated view of the counter
values, along with their description.</p>
<p>The top area shows process uptime information.</p>
<p>The center area shows a list of counter values.</p>
<p>The bottom area shows the description of the currently selected
counter.</p>
<section id="columns">
<h4>Columns<a class="headerlink" href="#columns" title="Permalink to this headline">¶</a></h4>
<p>The following columns are displayed, from left to right:</p>
<dl class="simple">
<dt>Name</dt><dd><p>The name of the counter</p>
</dd>
<dt>Current</dt><dd><p>The current value of the counter.</p>
</dd>
<dt>Change</dt><dd><p>The average per second change over the last update interval.</p>
</dd>
<dt>Average</dt><dd><p>The average value of this counter over the runtime of the
Varnish daemon, or a period if the counter can’t be averaged.</p>
</dd>
<dt>Avg_10</dt><dd><p>The moving average over the last 10 update intervals.</p>
</dd>
<dt>Avg_100</dt><dd><p>The moving average over the last 100 update intervals.</p>
</dd>
<dt>Avg_1000</dt><dd><p>The moving average over the last 1000 update intervals.</p>
</dd>
</dl>
</section>
<section id="key-bindings">
<h4>Key bindings<a class="headerlink" href="#key-bindings" title="Permalink to this headline">¶</a></h4>
<p>The following keys control the interactive display:</p>
<dl class="simple">
<dt>&lt;UP&gt;</dt><dd><p>Navigate the counter list one line up.</p>
</dd>
<dt>&lt;DOWN&gt;</dt><dd><p>Navigate the counter list one line down.</p>
</dd>
<dt>&lt;PAGEUP&gt; or &lt;b&gt;</dt><dd><p>Navigate the counter list one page up.</p>
</dd>
<dt>&lt;PAGEDOWN&gt; or &lt;SPACE&gt;</dt><dd><p>Navigate the counter list one page down.</p>
</dd>
<dt>&lt;HOME&gt;</dt><dd><p>Navigate the counter list to the top.</p>
</dd>
<dt>&lt;END&gt;</dt><dd><p>Navigate the counter list to the bottom.</p>
</dd>
<dt>&lt;d&gt;</dt><dd><p>Toggle between showing and hiding unseen counters. Unseen
counters are those that has been zero for the entire runtime
of varnishstat. Defaults to hide unseen counters.</p>
</dd>
<dt>&lt;e&gt;</dt><dd><p>Toggle scaling of values.</p>
</dd>
<dt>&lt;g&gt;</dt><dd><p>Go to the top of the counter list.</p>
</dd>
<dt>&lt;G&gt;</dt><dd><p>Go to the bottom of the counter list.</p>
</dd>
<dt>&lt;v&gt;</dt><dd><p>Cycle through the verbosity levels. Defaults to only showing
informational counters.</p>
</dd>
<dt>&lt;q&gt;</dt><dd><p>Quit.</p>
</dd>
<dt>&lt;CTRL+T&gt;</dt><dd><p>Sample now.</p>
</dd>
<dt>&lt;+&gt;</dt><dd><p>Increase refresh interval.</p>
</dd>
<dt>&lt;-&gt;</dt><dd><p>Decrease refresh interval.</p>
</dd>
</dl>
</section>
</section>
<section id="outputs">
<h3>OUTPUTS<a class="headerlink" href="#outputs" title="Permalink to this headline">¶</a></h3>
<p>The XML output format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">&lt;</span><span class="n">varnishstat</span> <span class="n">timestamp</span><span class="o">=</span><span class="s2">&quot;YYYY-MM-DDTHH:mm:SS&quot;</span><span class="o">&gt;</span>
  <span class="o">&lt;</span><span class="n">stat</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="n">name</span><span class="o">&gt;</span><span class="n">FIELD</span> <span class="n">NAME</span><span class="o">&lt;/</span><span class="n">name</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="n">value</span><span class="o">&gt;</span><span class="n">FIELD</span> <span class="n">VALUE</span><span class="o">&lt;/</span><span class="n">value</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="n">flag</span><span class="o">&gt;</span><span class="n">FIELD</span> <span class="n">SEMANTICS</span><span class="o">&lt;/</span><span class="n">flag</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="nb">format</span><span class="o">&gt;</span><span class="n">FIELD</span> <span class="n">DISPLAY</span> <span class="n">FORMAT</span><span class="o">&lt;/</span><span class="nb">format</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="n">description</span><span class="o">&gt;</span><span class="n">FIELD</span> <span class="n">DESCRIPTION</span><span class="o">&lt;/</span><span class="n">description</span><span class="o">&gt;</span>
  <span class="o">&lt;/</span><span class="n">stat</span><span class="o">&gt;</span>
  <span class="p">[</span><span class="o">..</span><span class="p">]</span>
<span class="o">&lt;/</span><span class="n">varnishstat</span><span class="o">&gt;</span>
</pre></div>
</div>
<p>The JSON output format is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
  <span class="s2">&quot;timestamp&quot;</span><span class="p">:</span> <span class="s2">&quot;YYYY-MM-DDTHH:mm:SS&quot;</span><span class="p">,</span>
  <span class="s2">&quot;FIELD NAME&quot;</span><span class="p">:</span> <span class="p">{</span>
    <span class="s2">&quot;description&quot;</span><span class="p">:</span> <span class="s2">&quot;FIELD DESCRIPTION&quot;</span><span class="p">,</span>
    <span class="s2">&quot;flag&quot;</span><span class="p">:</span> <span class="s2">&quot;FIELD SEMANTICS&quot;</span><span class="p">,</span> <span class="s2">&quot;format&quot;</span><span class="p">:</span> <span class="s2">&quot;FIELD DISPLAY FORMAT&quot;</span><span class="p">,</span>
    <span class="s2">&quot;value&quot;</span><span class="p">:</span> <span class="n">FIELD</span> <span class="n">VALUE</span>
  <span class="p">},</span>
  <span class="s2">&quot;FIELD NAME&quot;</span><span class="p">:</span> <span class="p">{</span>
    <span class="s2">&quot;description&quot;</span><span class="p">:</span> <span class="s2">&quot;FIELD DESCRIPTION&quot;</span><span class="p">,</span>
    <span class="s2">&quot;flag&quot;</span><span class="p">:</span> <span class="s2">&quot;FIELD SEMANTICS&quot;</span><span class="p">,</span> <span class="s2">&quot;format&quot;</span><span class="p">:</span> <span class="s2">&quot;FIELD DISPLAY FORMAT&quot;</span><span class="p">,</span>
    <span class="s2">&quot;value&quot;</span><span class="p">:</span> <span class="n">FIELD</span> <span class="n">VALUE</span>
  <span class="p">},</span>
  <span class="p">[</span><span class="o">..</span><span class="p">]</span>
<span class="p">}</span>
</pre></div>
</div>
<p>Timestamp is the time when the report was generated by varnishstat.</p>
</section>
<section id="see-also">
<h3>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p><a class="reference internal" href="varnishd.html#varnishd-1"><span class="std std-ref">varnishd</span></a></p></li>
<li><p><a class="reference internal" href="varnishhist.html#varnishhist-1"><span class="std std-ref">varnishhist</span></a></p></li>
<li><p><a class="reference internal" href="varnishlog.html#varnishlog-1"><span class="std std-ref">varnishlog</span></a></p></li>
<li><p><a class="reference internal" href="varnishncsa.html#varnishncsa-1"><span class="std std-ref">varnishncsa</span></a></p></li>
<li><p><a class="reference internal" href="varnishtop.html#varnishtop-1"><span class="std std-ref">varnishtop</span></a></p></li>
<li><p>curses(3)</p></li>
<li><p><a class="reference internal" href="varnish-counters.html#varnish-counters-7"><span class="std std-ref">varnish-counters</span></a></p></li>
</ul>
</section>
<section id="authors">
<h3>AUTHORS<a class="headerlink" href="#authors" title="Permalink to this headline">¶</a></h3>
<p>This manual page was written by Dag-Erling Smørgrav, Per Buer,
Lasse Karstensen and Martin Blix Grydeland.</p>
</section>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">varnishstat</a><ul>
<li><a class="reference internal" href="#varnish-cache-statistics">Varnish Cache statistics</a><ul>
<li><a class="reference internal" href="#synopsis">SYNOPSIS</a></li>
<li><a class="reference internal" href="#description">DESCRIPTION</a></li>
<li><a class="reference internal" href="#curses-mode">CURSES MODE</a><ul>
<li><a class="reference internal" href="#columns">Columns</a></li>
<li><a class="reference internal" href="#key-bindings">Key bindings</a></li>
</ul>
</li>
<li><a class="reference internal" href="#outputs">OUTPUTS</a></li>
<li><a class="reference internal" href="#see-also">SEE ALSO</a></li>
<li><a class="reference internal" href="#authors">AUTHORS</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="varnishncsa.html"
                        title="previous chapter">varnishncsa</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="varnishtest.html"
                        title="next chapter">varnishtest</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/reference/varnishstat.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="varnishtest.html" title="varnishtest"
             >next</a> |</li>
        <li class="right" >
          <a href="varnishncsa.html" title="varnishncsa"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">varnishstat</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>